> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Latest Exchange Rate

> Get the latest exchange rate for a currency pair.



## OpenAPI

````yaml /api/openapi-finindex.json get /api/v1/exchange-rates/pair/{org_id}/{base_currency}/{target_currency}
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/exchange-rates/pair/{org_id}/{base_currency}/{target_currency}:
    get:
      tags:
        - Exchange Rates
      summary: Get Latest Exchange Rate
      description: Get the latest exchange rate for a currency pair.
      operationId: >-
        get_latest_exchange_rate_api_v1_exchange_rates_pair__org_id___base_currency___target_currency__get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            title: Org Id
        - name: base_currency
          in: path
          required: true
          schema:
            type: string
            title: Base Currency
        - name: target_currency
          in: path
          required: true
          schema:
            type: string
            title: Target Currency
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeRateResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ExchangeRateResponse:
      properties:
        id:
          type: string
          title: Id
        org_id:
          type: string
          title: Org Id
        base_currency:
          type: string
          title: Base Currency
        target_currency:
          type: string
          title: Target Currency
        rate:
          type: number
          title: Rate
        effective_date:
          type: string
          title: Effective Date
        source:
          type: string
          title: Source
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - id
        - org_id
        - base_currency
        - target_currency
        - rate
        - effective_date
        - source
        - created_at
      title: ExchangeRateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````